2005-04-22  AShiZaWa KaZuNoRi  <kasha@sun.co.jp>

	* include/iiimp/iiimp-data.h: remove RCS/CVS $Id$
	* include/iiimp/iiimp-character-subsets.h: remove RCS/CVS $Id$
	* include/iiimp/iiimp.h: remove RCS/CVS $Id$

2005-04-22  ashizawa kazunori  <kasha@minerva.site>

	* iml/iml_fop.h: new.

2005-04-10  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* iml/SunIMPub.h
	* iml/SunIMMthd.h

	Fix to make NS I/O APIs work in multi-user environment.

2005-04-06  AShiZaWa KaZuNoRi  <kasha@sun.co.jp>

	* iml/SunIMMthd.h (iml_nsc_open_t): Bug fix.  open() expects path,
	oflag, and optionally mode.

	* iml/SunIMPub.h (open_ns): Bug fix.  open() expects path, oflag,
	and optionally mode.

2005-03-28  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* iiimp/iiimp-data.h
	* iiimp/iiimp-opcode.h

	Replaced the existing IM_*_NS and IM_*_NS_REPLY protocol with
	IM_FILE_OPERATION and IM_FILE_OPERATION_REPLY.

2005-03-15  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* iiimcf.h

	Changed iiimcf_seticvalues() to iiimcf_context_set_attr()

2005-03-14  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* iml/SunIMPub.h
	* iml/SunIMMthd.h
	* iiimp/iiimp-opcode.h
	* iiimp/iiimp-data.h

	Changes related to supporting the Namespace based I/O API equivalents
        of fstat() and ftruncate()

2005-03-12  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* iiimp/iiimp-data.h: add defined(__APPLE__)

2005-03-11  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * iml/SunIMMthd.h

	Added additional NS I/O function prototypes.

2005-03-10  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * iml/SunIMMthd.h
        * iml/SunIMProt.h

	Changes related to NS based I/O APIs. Please refer to
	~/trunk/doc/ns/README for details.

2005-02-28  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* iml/SunIMMthd.h: BEGIN_DECLS isn't on Solaris.

2005-01-24  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * Added IM_HotkeyEvent as partof IM_Event_Type

2005-01-19  Hidetoshi Tajima  <tajima@dhcp-cbjs05-215-01.PRC.Sun.COM>

	* iml/SunIMMthd.h: switchLEProfile is not needed for posix I/O

2005-01-13  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * iml/SunIMMthd.h

	- Introduced separate interface (iml_hkc - IML Hotkey Context) to
	  manage Hotkey related functionality from LE. 

	- LE's can get a handle for either "Hotkey Context" or "Namespace 
	  Context" depending on what what they pass to desktopGetValue()
	  method.

2005-01-13  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * iml/SunIMPub.h
        * iml/SunIMMthd.h

	Implementation to handle Hotkey Profile switching from LE.

2005-01-10  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * iml/SunIMPub.h
        * iml/SunIMMthd.h

	Modifications for a sample implementation of switching
	hotkey profiles from LE using the existing iml_nsc API.

2004-12-21  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* iml/SunIMMthd.h: add IMLEName in IMHotkeyProfileStruct

2004-12-19  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * iml/SunIMMthd.h
        * iiimp/iiimp-data.h

        - Changed IIIMP_string to IIIMP_utf8string for file/path names
	  used in POSIX IO APIs

2004-12-18  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* IMProtocolStruct.h: 
	* iml/SunIMMthd.h:
	-remove iml_hotkey_manager_t
	- move IMHotkeyStruct and IMHokeyProfileStruct to iml/SunIMMtd.hh
	- move GLOBAL_HOTKEY and SESSION_SPECIFIC_HOTKEY to iml/SunIMMtd.hh

2004-12-15  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * iml/SunIMPub.h
        * iml/SunIMMthd.h
        * iiimp/iiimp-data.h

        Changes made to get the errno for NS IO APIs.

2004-12-14  Sriram Swaminathan  <sriram.swaminathan@sun.com>

        * iml/SunIMPub.h
        * iiimp/iiimp-data.h

        More friendly POSIX IO APIs (now returns the exact error value
        so that LEs can handle error conditions)

2004-12-14  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* iml/SunIMPub.h
	* iml/SunIMMthd.h
	* iiimp/iiimp-data.h
	* iiimp/iiimp.h
	* iiimcf.h

	Implementation of rest of POSIX IO system calls. Protocols added 
	for opendir(), readdir(), closedir(), stat() and lstat()

2004-12-04  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* iml/SunIMPub.h
	* iml/SunIMMthd.h
	* iiimp/iiimp-data.h

	Implementation of next set of POSIX IO system calls. Protocols added 
	for mkdir(), rmdir(), lseek(), unlink(), rename(), fcntl(), symlink(),
	creat(), truncate()

2004-12-01  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* iiimp/iiimp-data.h
	* iiimp/iiimp-opcode.h

	Implementation of next set of POSIX IO system calls. Protocols added 
	for mkdir(), rmdir(), lseek(), unlink(), rename(), fcntl(), symlink(),
	creat(), truncate()

2004-11-30  Akira TAGOH  <tagoh@redhat.com>

	* iiimp/iiimp-data.h: added iiimp_open_ns_pack(),
	iiimp_open_ns_reply_pack(), iiimp_read_ns_pack(),
	iiimp_read_ns_reply_pack(), iiimp_write_ns_pack(),
	iiimp_write_ns_reply_pack(), iiimp_seek_ns_pack(),
	iiimp_seek_ns_reply_pack(), iiimp_close_ns_pack(),
	iiimp_close_ns_reply_pack(), iiimp_ns_listener_pack()
	and iiimp_ns_listener_reply_pack().

2004-11-24  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* include/iml/SunIMPub.h
	* include/iml/SunIMMthd.h
	* include/iiimcf.h
	* include/iiimp/iiimp-data.h
	* include/iiimp/iiimp-opcode.h

        Implementation of POSIX IO API (open, read, write, close) protocol

2004-11-02  Sriram Swaminathan <sriram.swaminathan@sun.com>

	* include/iml/SunIMProt.h
	* include/IMProtocolStruct.h
	* include/iiimp/iiimp-opcode.h
	* include/iiimp/iiimp-data.h
 
	Since protocols are going to be introduced for OPEN, READ, WRITE
        separately, IM_READ_NS is renamed as IM_NS_LISTENER which will be
        specific to listener functionality
        
2004-10-18  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* include/iml/SunIMMthd.h
	* include/IMProtocolStruct.h

        Changes related to HOTKEY registration from Language Engine.

2004-10-12  Sriram Swaminathan  <sriram.swaminathan@sun.com>
	* iml/SunIMPriv.h
	* iml/SunIMProt.h
	* iml/SunIMMthd.h
	* IMProtocolStruct.h
	* iiimcf.h
	* iiimp/iiimp-opcode.h
	* iiimp/iiimp-data.h

        - Added support for new protocol IMM_READ_NS
        - Added new data structure iml_listener as part of iml_desktop
        - Added iml_add_listener() and iml_delete_listener() as part of
          iml_methods which can be used to add/delete listeners (callbacks)
          from LE.

2004-10-04  Sriram Swaminathan  <sriram.swaminathan@sun.com>

  	* include/iml/SunIMProt.h
  	* include/iml/SunIMMthd.h

  	- Introduced iml_getvalue() to support the namespace functionality.
  	- New data structure, iml_nsc has been added to support the namespace
    functionality.

2004-09-10  Makoto Fujiyoshi    <makoto_fujiyoshi@justsystem.co.jp>

	* iml/SunIMPub.h
	(if_SendEvent_AuxGet) : added

2004-08-09  Sriram Swaminathan  <sriram.swaminathan@sun.com>

  * include/iiimp/iiimp-data.h
  * include/iiimp/iiimp-opcode.h

  Added new protocol IM_HOTKEY_STATE_NOTIFY and
  IM_HOTKEY_STATE_NOTIFY_REPLY

2004-08-09  Sriram Swaminathan  <sriram.swaminathan@sun.com>

  * iiimcf.h
  * iiimp/iiimp.h

  - Moved Language switching to server side and so removed related
    header file definitions.

  - Added iiimcf_seticvalues() so that IIIM Client Framework's can use 
    it to switch languages instead of destroying and creating new
    Input Context per language.

2004-08-02  Motonobu Ichimura  <famao@openi18n.org>

        * EIMIL.h
        (EIMIL_finalize) : added

2004-07-29  Makoto Fujiyoshi <makoto_fujiyoshi@justsystem.co.jp>

        * iiimcf.h
        (iiimcf_get_im_id)
        (iiimcf_get_ic_id) : added.

2004-07-12  Motonobu Ichimura  <famao@openi18n.org>

        * iiimp/iiimp.h
        (iiimf_tls_supported)
        (iiimf_tls_connect_steram)
        (iiimf_tls_delete_stream)
        (iiimf_tls_accept_stream)
        (iiimf_set_certificate)
        (iiimf_tls_listen_stream) : added.

2004-07-07  Hideki Hiura  <hiura@openi18n.org>

	* iml/SunIM.h: sync w/ iiimp/iiimp-keycode.h 

2004-06-30  Hideki Hiura  <hiura@openi18n.org>

	* iiimp/iiimp-keycode.h: added Koren virtual keycodes.

2004-06-30  Akira TAGOH  <tagoh@redhat.com>

	* iml/SunIMMMan.h: use _MAX() and _MIN() instead of max() and min() to
	  fix the build fails with gcc3.4

2004-06-17  Sriram Swaminathan  <sriram.swaminathan@sun.com>

  * iiimcf.h
  * iiimp/iiimp-opcode.h
  * iiimp/iiimp-data.h
  * iiimp/iiimp.h

  - Enabled HOTKEY protocol

2004-05-03  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* IMProtocolStruct.h: 
	added IMAuxGetEvent to IMInputEvent.

	* iiimcf.h: 
	IIIMCF_EVENT_TYPE_AUX_GETVALUES should be added after
	IIIMCF_EVENT_TYPE_AUX_DONE to make it compatible.

2004-03-30  Hidetoshi Tajima  <tajima@SFBay.Sun.COM>

	* IMProtocolStruct.h:
	added IM_EventAuxSet(=4) and IM_EventAuxGet(=5) in IM_Event_Type

2004-03-29  Hidetoshi Tajima  <tajima@SFBay.Sun.COM>

	* iiimp/iiimp-data.h (iiimp_aux_getvalues_reply_new):
	must have integer_list and string_list arguments.

2004-03-25  Hidetoshi Tajima  <tajima@SFBay.Sun.COM>

	* iiimp/iiimp-data.h: 
	* iiimcf.h:
	  - added integer_list and string_list to IM_AUX_GETVALUES
	
2004-03-24  Hidetoshi Tajima  <tajima@SFBay.Sun.COM>

	* iiimp/iiimp-data.h: 
	* iiimp/iiimp-opcode.h: 
	* iiimcf.h:
	  - added IM_AUX_GETVALUES/IM_AUX_GETVALUES_REPLY

2004-01-06  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* iiimp/iiimp-data.h:
	added
		#ifdef HAVE_CONFIG_H
		#include <config.h>
		#endif
	to resolve HAVE_STDINT_H, which was commit at rev 1547.

2003-09-03  MIYASHITA Hisashi  <himi@li18nux.org>

	* iml/SunIMMthd.h (SC_Attribute): Added
	SC_CLIENT_LOCALE, SC_CLIENT_CHARACTER_SUBSETS, and
	SC_CLIENT_INPUT_METHOD_NAME.

	* iml/SunIM.h: Included IMCharSubsets.h

	* IMCharSubsets.h: New file.

2003-06-24  MIYASHITA Hisashi  <himi@li18nux.org>

	* iiimp/iiimp-data.h (iiimp_inputmethod_descriptor):
	Added a new member, "idname", and put "rdun" to the tail.
	(iiimp_inputmethod_descriptor_new): Added a new argument idname,
	and put rdun at the last argument.
	(iiimp_inputmethod_descriptor_create): Likewise.

	* iiimcf.h (iiimcf_get_input_method_desc): Changed the
	argument.
	(iiimcf_get_input_method_languages): Fixed typo.

2003-06-20  MIYASHITA Hisashi  <himi@li18nux.org>

	* iiimp/iiimp.h (iiimp_data_s_limit_protocol_version):
	New function declaration.

	* iiimp/iiimp-data.h:
	* iiimp/iiimp.h: Moved the declarations of data_s APIs
	to iiimp.h.

2003-06-12  MIYASHITA Hisashi  <himi@li18nux.org>

	* EIMIL.h (EIMIL_initialize): New declaration.
	(EIMIL_RMREF, EIMIL_REFCHECK): Return 0	when
	calling EIMIL_destruct_value().

2003-06-05  MIYASHITA Hisashi  <himi@li18nux.org>

	* iiimp/iiimp.h (IIIMF_status): Added
	IIIMF_STATUS_PROTOCOL_VERSION.
	(IIIMF_status): Explicitly specify the value of the symboles.

	* iiimp/iiimp-opcode.h (IIIMP_OPCODES): Use an enumerator to
	define constants for opcodes.  And add IM_PROTOCOL_VERSION.

	* iiimp/iiimp-data.h (IIIMP_protocol_version_v): New structure.
	(IIIMP_message): Added protocol_verison.
	(IIIMP_status): Added IIIMP_DATA_PROTOCOL_VERSION_ERROR.
	(iiimp_data_s_with_protocol_version_new): New APIs.
	(iiimp_data_s_get_protocol_version): Ditto.
	(iiimp_protocol_version_pack): Ditto.
	(iiimp_protocol_version_new): Ditto.

2003-05-07  MIYASHITA Hisashi  <himi@li18nux.org>

	* X11/xc: New directory to store X private include filesw
	provided by X consortium.
	* X11/XFree86: Likewise, but they are provided by XFree86.

	* X11/XlcPubI.h: Moved to xc.
	* X11/XlcPublic.h: Ditto.
	* X11/Xlcint.h: Ditto.
	* X11/Xvarargs.h: Ditto.

	* X11/XFree86/XlcPubI.h: New file.
	* X11/XFree86/XlcPublic.h: Ditto.
	* X11/XFree86/Xlcint.h: Ditto.
	
	* X11/Xtrans.h: Removed.

2003-04-23  MIYASHITA Hisashi  <himi@li18nux.org>

	* iiimcf.h (IIIMCF_ATTRS): Add
	IIIMCF_ATTR_CLIENT_X_DISPLAY_NAME and
	IIIMCF_ATTR_CLIENT_X_SERVER_VENDOR.

2003-04-22  MIYASHITA Hisashi  <himi@li18nux.org>

	* iiimcf.h (IIIMCF_EVENT_TYPES): Add
	IIIMCF_EVENT_TYPE_SETICFOCUS and
	IIIMCF_EVENT_TYPE_UNSETICFOCUS.
	(iiimcf_reset_context, iiimcf_create_seticfocus_event)
	(iiimcf_create_unseticfocus_event): New APIs.

	* iiimp/iiimp.h (IIIMF_status): Add
	IIIMF_STATUS_COMPONENT_INDIFFERENT.

	* iiimcf.h (IIIMCF_ATTRS): Add IIIMCF_ATTR_INPUT_METHOD_NAME.

2003-03-26  MIYASHITA Hisashi  <himi@li18nux.org>

	* iiimcf.h (IIIMCF_ATTRS): Add
	IIIMCF_ATTR_DISABLE_AUTOMATIC_RESTORATION.

2003-03-13  MIYASHITA Hisashi  <himi@li18nux.org>

	* iiimcf.h (IIIMCF_EVENT_TYPES): Add IIIMCF_EVENT_TYPE_DESTROY.
	(IIIMCF_IS_EVENT_TYPE_BROADCAST): New macro.

2003-03-12  MIYASHITA Hisashi  <himi@li18nux.org>

	* iiimcf.h (iiimcf_context_get_attr): New API.
	(IIIMCF_handle, IIIMCF_attr, IIIMCF_context)
	(IIIMCF_text, IIIMCF_lookup_choice, IIIMCF_language)
	(IIIMCF_input_method, IIIMCF_event, IIIMCF_component)
	(IIIMCF_downloaded_object): Introduce another typedefs
	for these opaque objects.  But we remain the previous
	typedefs in #if 0 block just in case.

	* iiimcf.h (IIIMCF_version): Removed.
	(iiimcf_get_version_number): Now it takes handle as the first
	argument.
	(iiimcf_get_version): Removed.
	(iiimcf_get_aux_draw_data): New function declaration.
	(iiimcf_create_aux_setvalues_event): Ditto.
	(iiimcf_get_aux_event_value): Ditto.

	* iiimcf.h (IIIMCF_VERSION_ITEMS): Change the notation
	with bit-shift operators to specify constants.
	(IIIMCF_VERSION_CATEGORIES): New enumerator.

2003-03-11  MIYASHITA Hisashi  <himi@li18nux.org>

	* iiimcf.h (IIIMCF_EVENT_TYPES): Remove IIIMCF_EVENT_TYPE_EVENTLIKE_START
	and IIIMCF_EVENT_TYPE_TRIGGER_NOTIFY_START, to avoid cofusing actual
	START events like IIIMCF_EVENT_TYPE_UI_PREEDIT_START.  Introduce 
	IIIMCF_EVENT_TYPE_EVENTLIKE, IIIMCF_EVENT_TYPE_KEYEVENT_END,
	IIIMCF_EVENT_TYPE_TRIGGER_NOTIFY_END, and IIIMCF_EVENT_TYPE_EVENTLIKE_END
	to articulate the range of event kind.
	(iiimcf_create_keyevent): Make the input keyevent argument
	"const IIIMCF_keyevent*".

2003-03-07  MIYASHITA Hisashi  <himi@li18nux.org>

	* iiimcf.h (IIIMCF_EVENT_TYPES): Add new constants (which involves
	renumbering!), IIIMCF_EVENT_TYPE_UI_PREEDIT_START,
	IIIMCF_EVENT_TYPE_UI_PREEDIT_DONE,
	IIIMCF_EVENT_TYPE_UI_LOOKUP_CHOICE_START,
	IIIMCF_EVENT_TYPE_UI_LOOKUP_CHOICE_DONE,
	IIIMCF_EVENT_TYPE_UI_STATUS_START, IIIMCF_EVENT_TYPE_UI_STATUS_DONE,
	IIIMCF_EVENT_TYPE_AUX_SETVALUES, IIIMCF_EVENT_TYPE_AUX_START, and
	IIIMCF_EVENT_TYPE_AUX_DONE.

2003-03-01  MIYASHITA Hisashi  <himi@li18nux.org>

	* iiimp/iiimp.h (IIIMF_status): Add
	IIIMF_STATUS_NOT_TRIGGER_KEY.

	* iiimcf.h (IIIMCF_UISTATE):
	Add IIIMCF_STATE_CONVERSION_MODE_CHANGED.
	(iiimcf_get_current_conversion_mode): New API.

2003-02-28  MIYASHITA Hisashi  <himi@li18nux.org>

	* iiimcf.h (iiimcf_get_downloaded_objects): Renamed.
	And fix the type of the argument to downloaded object.

2003-02-26  MIYASHITA Hisashi  <himi@li18nux.org>

	* iiimcf.h (IIIMCF_EVENT_TYPES): Add IIIMCF_EVENT_TYPE_AUX_DRAW and
	IIIMCF_EVENT_TYPE_AUX_SETVALUES.

	* iiimp/iiimp.h (IIIMF_status): Add IIIMF_STATUS_NO_AUX.

2003-02-23  MIYASHITA Hisashi  <himi@li18nux.org>

	* iiimcf.h (IIIMCF_EVENT_TYPE): Add new constants.
	Note that the value of IIIMCF_EVENT_TYPE_TRIGGER_NOTIFY is changed.
	(IIIMCF_downloaded_object): New opaque object.
	(IIIMCF_object_descriptor): New structure.
	(iiimcf_get_downloaded_object_descriptor): New function declaration.
	(iiimcf_get_downloaded_object_filename): Ditto.
	(iiimcf_get_objects): Ditto.
	(iiimcf_get_object_descriptor_list): Ditto.

2003-02-14  MIYASHITA Hisashi  <himi@li18nux.org>

	* iiimcf.h: The API is slightly changed.  iiimcf_get/put_attr_value are now
	replaced with iiimcf_attr_get/put_TYPENAME_value.
	(IIIMCF_attr_value): Removed.
	(iiimcf_attr_get, iiimcf_attr_put): Removed.
	(iiimcf_attr_put_string_value, iiimcf_attr_get_string_value)
	(iiimcf_attr_put_integer_value, iiimcf_attr_get_integer_value)
	(iiimcf_attr_put_ptr_value, iiimcf_attr_get_ptr_value):
	New function declarations.

2003-02-08  MIYASHITA Hisashi  <himi@li18nux.org>

	* iiimcf.h (IIIMF_ATTR_CLIENT_TYPE): Renamed from IIIMCF_ATTR_CLIENT_NAME.
	(IIIMCF_attr_value): "str" must be const.

2003-02-07  MIYASHITA Hisashi  <himi@li18nux.org>

	* iiimcf.h (iiimcf_ignore_event): New API.

2003-02-06  MIYASHITA Hisashi  <himi@li18nux.org>

	* iiimcf.h (IIIMCF_ATTRS): Add new attributes,
	IIIMCF_ATTR_CLIENT_NAME and
	IIIMCF_ATTR_DISABLE_AUTOMATIC_TRIGGER_NOTIFY.
	(IIIMCF_component_interface): New typedef.
	(iiimcf_get_trigger_keys): New function declaration.
	(iiimcf_register_component, iiimcf_unregister_component)
	(iiimcf_get_component, iiimcf_component_get_attr):
	New function declarations.

	* iiimp/iiimp.h (IIIMF_status): Add new constants,
	IIIMF_STATUS_NO_COMPONENT and IIIMF_STATUS_STATIC_EVENT_FLOW.

2003-02-05  MIYASHITA Hisashi  <himi@li18nux.org>

	* iiimp/iiimp.h: Include iiimp-keycode.h.
	* iiimp/iiimp-keycode.h: New file.

2003-02-01  MIYASHITA Hisashi  <himi@li18nux.org>

	* iiimcf.h (IIIMCF_LOOKUP_CHOICE_DIRECTION): New enumerator.
	(iiimcf_duplicate_text, iiimcf_destroy_text): New API.
	(iiimcf_get_lookup_choice_configuration): New API.
	(iiimcf_get_lookup_choice_title): New API.
	(iiimcf_get_lookup_choice_size): Add arguments.

	* EIMIL.h (EIMIL_UTF32_string_len, EIMIL_UTF32_strcmp)
	(EIMIL_convert_UTF32_to_UTF8, EIMIL_convert_UTF8_to_UTF32char)
	(EIMIL_convert_UTF8_to_UTF32, EIMIL_adjust_UTF16_pos_to_UTF32)
	(EIMIL_adjust_UTF32_pos_to_UTF16, EIMIL_convert_UTF32_to_UTF16)
	(EIMIL_convert_UTF16_to_UTF32, EIMIL_construct_mtext_from_UTF8)
	(EIMIL_construct_mtext_from_UTF16, EIMIL_construct_mtext_from_UTF32):
	Add const qualifiery to the type of input string.

2003-01-29  MIYASHITA Hisashi  <himi@li18nux.org>

	* iiimp/iiimp-data.h (IIIMP_FEEDBACK_0_HIGHLIGHT) 
	(IIIMP_FEEDBACK_0_PRIMARY, IIIMP_FEEDBACK_0_SECONDARY) 
	(IIIMP_FEEDBACK_0_TERTIARY): New macros.

2003-01-28  MIYASHITA Hisashi  <himi@li18nux.org>

	* iiimcf.h (IIIMCF_EVENT_TYPES): Add IIIMCF_EVENT_TYPE_TRIGGER_NOTIFY.
	(IIIMCF_ATTR_NULL): Fix typo.
	(iiimcf_get_language_id): Declare plangid as a constant string.
	(iiimcf_get_input_method_languages): Change the type of pplanguages.
	(iiimcf_get_supported_languages): Change the type of pplangs.
	(iiimcf_create_trigger_notify_event): New function declaration.
	(iiimcf_get_trigger_notify_flag): Ditto.

	* iiimp/iiimp.h (iiimf_send_message, iiimf_receive_message): Removed.
	(iiimf_connect_socket_stream, iiimf_listen_socket_stream)
	(iiimf_accept_socket_stream, iiimf_delete_socket_stream): New function
	declarations.

2003-01-21  MIYASHITA Hisashi  <himi@li18nux.org>

	* iiimcf.h: New include file.

2003-01-21  MIYASHITA Hisashi  <himi@li18nux.org>

	* EIMIL.h (pEIMIL_nil_sym, pEIMIL_t_sym)
	(pEIMIL_feedback_sym, pEIMIL_candidates_sym):
	Moved from EIMILint.h.

2003-01-21  MIYASHITA Hisashi  <himi@li18nux.org>

	* iiimp/iiimp.h (iiimf_im_user_set, iiimf_send_message, iiimf_receive_message):
	New function declarations.

2002-12-26  MIYASHITA Hisashi  <himi@li18nux.org>

	* syscfg.h (ASSERT): Use %d for __LINE__, because it will be
	replaced with a number.
	(ERROR_INTERNAL): Ditto.

2001-10-24  HideToshi Tajima  <tajima@eng.sun.com>

	* X11/Xlcint.h: 
	check HAVE_XICCALLBACK to redefine XICCallback/XICProc/XIDProc

2001-10-22  MIYASHITA Hisashi  <himi@m17n.org>

	* X11/Xvarargs.h: Updated to XFree86 4.1.0.
	* X11/Xtrans.h: Ditto.
	* X11/Xlcint.h: Ditto.
	* X11/XlcPublic.h: Ditto.
	* X11/XlcPubI.h: Ditto.
